* {
  /* background: #ff000011; */
  /* outline: 1px solid #ff0000ff; */
}

:root {
  font-size: 100%;
}

@media (max-width: 800px) {
  :root {
    font-size: 95%;
  }
}

@media (max-width: 600px) {
  :root {
    font-size: 90%;
  }
}

@media (max-width: 400px) {
  :root {
    font-size: 85%;
  }
}

body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  color: #000000ff;
  display: grid;
  gap: 0.5rem;
  grid-template-columns: 1fr minmax(auto, 100ch) 1fr;
  line-height: 1.4;
}

a {
  color: #000000ff;
  text-decoration: underline;
  text-decoration-thickness: 1px;
  text-decoration-skip-ink: none;
  text-decoration-color: #444444ff;
  transition-property: text-decoration-thickness, text-decoration-color;
  transition-duration: 0.2s;
  transition-timing-function: ease, linear;
}

a:hover, a:focus, a:active {
  text-decoration-color: #000000ff;
  text-decoration-thickness: 0.2em;
}

img {
  width: auto;
  height: auto;
  max-width: 40rem;
  max-height: 40rem;
}

.borel-regular,
h1, h2, h3, h4, h5, h6 {
  font-family: "Borel", cursive;
  font-weight: 400;
  font-style: normal;
  line-height: 0.9;
  margin-top: 2.5rem;
  margin-bottom: 1rem;
}

p, ul, ol, dl, table, blockquote {
  margin-block: 1rem;
}

.wrapper {
  grid-column: 2;
}

.masthead {
  display: flex;
  gap: 1rem 2rem;
  flex-wrap: wrap;
  align-items: baseline;
}

.masthead h1 {
  margin: 2rem 0 0.4rem;
}

nav ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: baseline;
  gap: 1rem;
}

nav ul li {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.masthead a {
  display: block;
  padding: 0.5rem;
  margin: -0.5rem;
}

header, aside, main, footer {
  margin: 1rem 0;
}

footer {
  margin-top: 3rem;
}

.bio {
  background: #00000011;
  padding: 1rem 2rem;
}

.section-entry {
  margin: 3rem 0 4rem;
}

.list-portfolio {
  list-style-type: none;
  /* margin: 0 calc(-1rem + 1px); */
  padding: 0;
  display: grid;
  gap: 1px;
  grid-template-columns: repeat(auto-fit, minmax(12rem, 1fr));
}

.list-portfolio > li {
  list-style-type: none;
  margin: 0;
  padding: 0;
  position: relative;
  overflow: hidden;
  aspect-ratio: 1 / 1;
  box-shadow: 0 0 0 1px #ffffffff;
  transition: transform 0.2s ease;
}

.list-portfolio > li:hover {
  z-index: 1;
  transform: scale(1.03);
}

.list-portfolio > li > a {
  display: block;
  position: absolute;
  inset: 0;
}

.list-portfolio img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.list-entry {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: grid;
  gap: 3rem;
  grid-template-columns: repeat(2, 1fr);
}

.entry-references .list-entry {
  gap: 2rem;
  grid-template-columns: repeat(4, 1fr);
}

.list-entry li {
  list-style-type: none;
  margin: 0;
  padding: 0;
  place-self: center;
}

.list-entry img {
  max-width: 100%;
}

.entry-header .meta {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
}

.meta-date {
  margin: 0;
  color: #00000088;
}

.list-tags {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

.explore {
  margin: 4rem 0;
}
